System.ServiceModel 4.0.0.0 System.IdentityModel.Tokens.SecurityToken To be added.

Represents a binary secret security token.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  A byte-array that represents the key.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  The key size in bits.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  The token ID.
  A byte-array that represents the key.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  The token ID.
  The key size in bits.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  The token ID.
  A byte-array that represents the key.
  A that indicates whether to allow cryptography.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  The token ID.
  The key size in bits.
  A that indicates whether to allow cryptography.
- Method
  4.0.0.0
  System.Byte[] To be added.

  Gets the bytes that represent the key.

  The key.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the token ID.

- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the token key size.

- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.IdentityModel.Tokens.SecurityKey> To be added. To be added.

  Gets a collection of security keys.

- Property
  4.0.0.0
  System.DateTime To be added. To be added.

  Gets the token effective start time.

- Property
  4.0.0.0
  System.DateTime To be added. To be added.

  Gets the token effective start time.